!set title=Fracciones positivas IV
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
language=es
author=XIAO, Gang
email=xiao@unice.fr

ansorder=r,r,r,r,r,r,r,r
varcnt=25
prevarcnt=24
postvarcnt=0
replycnt=8
choicecnt=0
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

val6=40x55
val7=1/2,3/2,5/2,7/2,9/2,11/2,	1/3,2/3,4/3,5/3,7/3,8/3,10/3,11/3,	1/4,3/4,5/4,7/4,9/4,11/4,	1/5,2/5,3/5,4/5,6/5,7/5,8/5,9/5,11/5,12/5,	1/6,5/6,7/6,11/6,	1/7,2/7,3/7,4/7,5/7,6/7,8/7,9/7,10/7,11/7,12/7,	1/8,3/8,5/8,7/8,9/8,11/8,	1/9,2/9,4/9,5/9,7/9,8/9,10/9,11/9,	1/10,3/10,7/10,9/10,11/10,	1/11,2/11,3/11,4/11,5/11,6/11,7/11,8/11,9/11,10/11,12/11,	1/12,5/12,7/12,11/12	
val8=fracciones
val9=Fracciones
!if $val2>=3 and $val2<=8 
val10=$[rint($val2)]
!else
val10=$[rint(4)]
!endif
tmp0=!randitem 1,2

val11=$[rint($(tmp0))]
!if $val3=2 
val11=$[rint(1)]
!endif
!if $val3=3 
val11=$[rint(2)]
!endif
tmp0=!item $val11 of <,>

val12=$(tmp0)
tmp0=!item $val11 of ,reverse

val13=$(tmp0)
val14=menor,mayor
val15=creciente, decreciente
tmp0=!nonempty items $val7

val7=$(tmp0)
tmp0=!shuffle $val7

val7=$(tmp0)

!ifval $val11=1
tmp0=!sort numeric items $(val7[1..$val10])

val7=$(tmp0)
!else
tmp1=!sort reverse numeric items $(val7[1..$val10])

val7=	        $(tmp1)	
!endif
val16=
!if $val8 iswordof fraction 
tmp0=!replace internal / by \over in $val7

val7=$(tmp0)
!for val17 =1 to $val10 
tmp0=!append item \({$(val7[$val17])}) to $val16

val16=$(tmp0)
val18=es
!next
!else
!for val17 =1 to $val10 
tmp0=!append item \($(val7[$val17])) to $val16

val16=$(tmp0)
!next
!endif
tmp0=!item 1 to $val10 of r1,r2,r3,r4,r5,r6,r7,r8

val19=$(tmp0)
oefsteps=$val19 
nextstep=!nosubst $val19 
!readproc oef/steps.proc
replytype1=dragfill
replyname1=$val9 1
replygood1=$(val16[1])
replytype2=dragfill
replyname2=$val9 2
replygood2=$(val16[2])
replytype3=dragfill
replyname3=$val9 3
replygood3=$(val16[3])
replytype4=dragfill
replyname4=$val9 4
replygood4=$(val16[4])
replytype5=dragfill
replyname5=$val9 5
replygood5=$(val16[5])
replytype6=dragfill
replyname6=$val9 6
replygood6=$(val16[6])
replytype7=dragfill
replyname7=$val9 7
replygood7=$(val16[7])
replytype8=dragfill
replyname8=$val9 8
replygood8=$(val16[8])
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()Ordenar los/las $val8 de abajo en orden $(val15[$val11]), de $(val14[$val11])	a $(val14[3-$val11]).	<p><center>	<table border=0><tr>	<td> 
!read oef/embed.phtml r1,$val6 
$()<td>	 
!for m_t=2 to $val10 
$()	 <td> $val12 <td> 
!read oef/embed.phtml $(val19[$m_t]),$val6 
$()	 
!next
$()	</table></center>	
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=6,8,10,11,12,14,15,19
embedcnt=2
